mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.MaskGenerationMethod System.Runtime.InteropServices.ComVisible(true)

This class is only used by implementations of key exchange algorithms for mask generation. Application code does not use this class directly.

Computes masks according to PKCS #1 for use by key exchange algorithms.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor sets to the default hash algorithm name (SHA1).

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` ``

  Masks are used in key exchange computation and generally are not used by applications.

  Generates and returns a mask from the specified random seed of the specified length.

  A randomly generated mask whose length is equal to the parameter.

  The random seed to use for computing the mask. The length of the generated mask in bytes.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String The current hash algorithm being used to generate masks.

  If no hash algorithm is specified, is used by default.

  Gets or sets the name of the hash algorithm type to use for generating the mask.